package com.pjilisense.flxai.service;

import com.pjilisense.flxai.base.service.CrudService;
import com.pjilisense.flxai.dto.FilesDTO;
import com.pjilisense.flxai.entity.FilesEntity;

/**
 * ${comments}
 *
 * @author liushujing liushujing@philisense.com
 * @since 1.0.0 2025-01-14
 */
public interface FilesService extends CrudService<FilesEntity, FilesDTO> {
    boolean modifyFileName(FilesDTO dto);

    boolean modifyFileStatus(FilesDTO dto);

    boolean modifyFileCategory(FilesDTO dto);
}